[Deprecated] Remove Cart (cart decoupled)
curl --request PATCH \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart-decoupled/{cartId}/orderNumber \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"orderNumber": "1234-1234-12345"
}
'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart-decoupled/{cartId}/orderNumber"
payload = { "orderNumber": "1234-1234-12345" }
headers = {
"x-site-context": "<x-site-context>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
body: JSON.stringify({orderNumber: '1234-1234-12345'})
};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart-decoupled/{cartId}/orderNumber', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"registeredUser": false,
"account": "<string>",
"approver": "<string>",
"po": "<string>",
"cartId": 111166,
"status": "pending",
"allPromosApplied": "<array>",
"attributes": "<array>",
"__v": 0,
"totalAmount": {
"currency": "USD",
"amount": 38
},
"quantity": 2,
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"deleted": true,
"items": [
{
"price": {
"discount": {
"discountAmount": 0,
"price": 0,
"promosApplied": "<array>"
},
"sale": 0,
"base": 19,
"currency": "USD"
},
"sample": false,
"isUnique": false,
"discountedQuantity": 0,
"group": [
"123123123123123123123123"
],
"weightUnit": "lb",
"isPickup": false,
"itemId": 15,
"sku": "sk231212",
"taxCode": "TC1234567890",
"title": "fabric t-shirt",
"weight": 4.2,
"quantity": 2,
"lineItemId": 1,
"attributeTotalPrice": 0,
"totalPrice": {
"currency": "USD",
"amount": 38
},
"attributes": "<array>",
"id": "6141a40c13f13a000876272a",
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "CART_NOT_FOUND",
"message": "Cart not found."
}{
"code": "<string>",
"message": "<string>"
}Cart Decoupled
[Deprecated] Remove Cart (cart decoupled)
Remove Cart (cart decoupled)
PATCH
/
api-cart
/
cart-decoupled
/
{cartId}
/
orderNumber
[Deprecated] Remove Cart (cart decoupled)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Required string length:
24Example:
"5e5818a84d030c206b2ffb02"
Body
application/json
Required string length:
15Example:
"1234-1234-12345"
Response
Soft delete cart
Example:
false
Example:
111166
Example:
"pending"
Example:
0
Show child attributes
Show child attributes
Example:
2
Example:
"5fee9d59f2f08a1b3cbdea08"
Example:
"2020-12-31T02:09:53.914Z"
Example:
"2020-12-31T02:09:53.914Z"
Example:
true
Show child attributes
Show child attributes
Was this page helpful?
⌘I
